%define prefix /usr
%define name simsu
%define version 1.3.4
%define release %mkrel 1
%define url http://gottcode.org/simsu/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Other
URL:		%{url}
Source:		http://gottcode.org/simsu/%{name}-%{version}-src.tar.xz
Summary:	Sudoku game
Summary(de):	Sudoku Spiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildConflicts: %{_lib}qt4-devel
Obsoletes:	%name < %version

%description
Simsu is a basic Sudoku game. You can switch between filling in notes 
(pencil mode), or filling in answers (pen mode). To make it easier to 
see where to place numbers, you can highlight all instances of a number. 
You can also check your answers for correctness while playing. The game 
stores your current notes and answers, so that you can pick up where you 
left off the next time you play.

#german
%description -l de
Simsu ist eine grundlegende Sudoku-Spiel. Sie können zwischen den Modus 
Anmerkungen (Bleistift-Modus), oder Antworten (Stift-Modus) umschalten. 


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Simsu
GenericName=Simsu Game
GenericName[de]=Simsu Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=simsu
Exec=simsu %F
Terminal=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Other;
EOF



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog CREDITS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/simsu.png
%{_iconsdir}/hicolor/*/apps/simsu.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/translations/simsu_*.qm
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man6/%{name}*


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.3.4-1pclos2017
- 1.3.4

* Sun Oct 09 2016 daniel <meisssw01 at gmail.com> 1.3.3-1pclos2016
- 1.3.3

* Fri Feb 05 2016 daniel <meisssw01 at gmail.com> 1.3.2-1pclos2016
- 1.3.2

* Mon Nov 23 2015 daniel <meisssw01 at gmail.com> 1.3.1-1pclos2015
- 1.3.1

* Sat Dec 07 2013 daniel <meisssw01 at gmail.com> 1.2.3-1free2013
- upstream tarball

* Tue Mar 13 2012 Neal <nealbrks0 at gmail dot com> 1.2.2-1pclos2012
- process

* Mon Mar 12 2012 leiche <meisssw01 at gmail.com> 1.2.2-1pclos2012
- initial packages
